Bug 182446 - [maintainer] [patch] databases/pgbouncer : switch to libevent2
Summary: [maintainer] [patch] databases/pgbouncer : switch to libevent2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-27 20:40 UTC by m.tsatsenko
Modified: 2013-11-14 19:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.32 KB, patch)
2013-09-27 20:40 UTC, m.tsatsenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Edwin Groothuis freebsd_committer 2013-09-27 20:40:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-11-14 19:38:48 UTC
Author: swills
Date: Thu Nov 14 19:38:40 2013
New Revision: 333785
URL: http://svnweb.freebsd.org/changeset/ports/333785

Log:
  - Switch to libevent2
  - Bump PORTREVISION
  - Pet portlint
  
  PR:		ports/182446
  Submitted by:	"Mikhail T." <m.tsatsenko@gmail.com> (maintainer)

Added:
  head/databases/pgbouncer/files/patch-configure   (contents, props changed)
Modified:
  head/databases/pgbouncer/Makefile   (contents, props changed)

Modified: head/databases/pgbouncer/Makefile
==============================================================================
--- head/databases/pgbouncer/Makefile	Thu Nov 14 18:45:54 2013	(r333784)
+++ head/databases/pgbouncer/Makefile	Thu Nov 14 19:38:40 2013	(r333785)
@@ -3,6 +3,7 @@
 
 PORTNAME=	pgbouncer
 PORTVERSION=	1.5.4
+PORTREVISION=	1
 CATEGORIES=	databases
 MASTER_SITES=	http://pgfoundry.org/frs/download.php/3393/
 
@@ -11,7 +12,7 @@ COMMENT=	Lightweight connection pooler f
 
 LICENSE=	BSD
 
-LIB_DEPENDS=	event-1.4:${PORTSDIR}/devel/libevent
+LIB_DEPENDS=	event-2:${PORTSDIR}/devel/libevent2
 
 PORTSCOUT=	site:http://pgfoundry.org/frs/?group_id=1000258
 
@@ -29,7 +30,7 @@ MAN1=		pgbouncer.1
 MAN5=		pgbouncer.5
 .endif
 
-CONFIGURE_ARGS=	--with-libevent=${LOCALBASE}
+CONFIGURE_ARGS=	--with-libevent=${LOCALBASE} --enable-evdns
 CONFIGURE_ENV+=	PTHREAD_CFLAGS=${PTHREAD_CFLAGS} \
 		PTHREAD_LIBS=${PTHREAD_LIBS}
 

Added: head/databases/pgbouncer/files/patch-configure
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/databases/pgbouncer/files/patch-configure	Thu Nov 14 19:38:40 2013	(r333785)
@@ -0,0 +1,14 @@
+--- configure.orig	2012-11-28 17:11:13.000000000 +0400
++++ configure	2013-09-25 23:54:23.465994180 +0400
+@@ -6332,8 +6332,8 @@
+       levent=yes
+     else
+       levent=yes
+-      CPPFLAGS="$CPPFLAGS -I$withval/include"
+-      LDFLAGS="$LDFLAGS -L$withval/lib"
++      CPPFLAGS="$CPPFLAGS -I$withval/include -I$withval/include/event2/compat"
++      LDFLAGS="$LDFLAGS -L$withval/lib/event2"
+     fi
+ 
+ fi
+
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Steve Wills freebsd_committer 2013-11-14 19:38:59 UTC
State Changed
From-To: open->closed

Committed. Thanks!